Yandex Cloud
Документация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex MPP Analytics for PostgreSQL
KZ
  • Начало работы
  • Управление доступом
  • Инспекции и рекомендации
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Expand
        • Delete
        • Start
        • Stop
        • Move
        • RescheduleMaintenance
        • ListLogs
        • StreamLogs
        • ListOperations
        • ListMasterHosts
        • ListSegmentHosts
        • ListBackups
        • Backup
        • Restore
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Обучающие курсы

В этой статье:

  • gRPC request
  • ListClusterBackupsRequest
  • ListClusterBackupsResponse
  • Backup
  1. Справочник API
  2. gRPC (англ.)
  3. Cluster
  4. ListBackups

Managed Service for Greenplum® API, gRPC: ClusterService.ListBackups

Статья создана
Yandex Cloud
Обновлена 4 сентября 2026 г.
Открыть в Markdown
  • gRPC request
  • ListClusterBackupsRequest
  • ListClusterBackupsResponse
  • Backup

Retrieves a list of available backups for the specified Greenplum® cluster.

gRPC requestgRPC request

rpc ListBackups (ListClusterBackupsRequest) returns (ListClusterBackupsResponse)

ListClusterBackupsRequestListClusterBackupsRequest

{
  "cluster_id": "string",
  "page_size": "int64",
  "page_token": "string"
}

Field

Description

cluster_id

string

Required field. ID of the Greenplum® cluster.
To get the Greenplum® cluster ID use a ClusterService.List request.

The maximum string length in characters is 50.

page_size

int64

The maximum number of results per page to return.
If the number of available results is larger than page_size, the service returns a ListClusterBackupsResponse.next_page_token that can be used to get the next page of results in subsequent list requests.

The maximum value is 1000.

page_token

string

Page token. To get the next page of results, set page_token to the ListClusterBackupsResponse.next_page_token returned by the previous list request.

The maximum string length in characters is 100.

ListClusterBackupsResponseListClusterBackupsResponse

{
  "backups": [
    {
      "id": "string",
      "folder_id": "string",
      "created_at": "google.protobuf.Timestamp",
      "source_cluster_id": "string",
      "started_at": "google.protobuf.Timestamp",
      "size": "int64",
      "type": "BackupCreationType",
      "method": "BackupMethod",
      "journal_size": "int64",
      "shared_size": "int64"
    }
  ],
  "next_page_token": "string"
}

Field

Description

backups[]

Backup

List of Greenplum® backups.

next_page_token

string

This token allows you to get the next page of results for list requests.
If the number of results is larger than ListClusterBackupsRequest.page_size, use the next_page_token as the value for the ListClusterBackupsRequest.page_token query parameter in the next list request.
Each subsequent list request has its own next_page_token to continue paging through the results.

BackupBackup

Field

Description

id

string

Required field. Required. ID of the backup.

folder_id

string

ID of the folder that the backup belongs to.

created_at

google.protobuf.Timestamp

Time when the backup operation was completed.

source_cluster_id

string

ID of the Greenplum® cluster that the backup was created for.

started_at

google.protobuf.Timestamp

Time when the backup operation was started.

size

int64

Size of the backup in bytes.

type

enum BackupCreationType

How this backup was created (manual/automatic/etc...).

  • AUTOMATED: Backup created by automated daily schedule
  • MANUAL: Backup created by user request

method

enum BackupMethod

Method of backup creation.

  • BASE: Base backup
  • INCREMENTAL: Delta (incremental) Greenplum backup

journal_size

int64

Size of the journal associated with backup, in bytes.

shared_size

int64

Size of data added by this backup to storage shared between backups, in bytes.
This value may change when backups are deleted and shared data is attributed to another backup.

Была ли статья полезна?

Предыдущая
ListSegmentHosts
Следующая
Backup
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»